import syslog


class Logger(object):
    @staticmethod
    def log(data):
        syslog.syslog(syslog.LOG_INFO, data)
        if Logger.debugFlag:
            print data
    
    @staticmethod
    def debug(data):
        if Logger.debugFlag:
	    syslog.syslog(syslog.LOG_DEBUG, data)
            print data

    @staticmethod
    def openlog():
        syslog.openlog('yadyn', syslog.LOG_PID, syslog.LOG_LOCAL0)

    @staticmethod
    def debugEnable():
        Logger.debugFlag = True

    @staticmethod
    def debugDisable():
	Logger.debugFlag = False

    debugFlag = False

